KWIN_PROCESS_POSITION_EVENT(3)

FUNCTION
kwin_process_position_event - Process position event on a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_process_position_event

(KPixCanvas canvas, int x, int y, flag clip, unsigned int event_code, void *event_info)

DESCRIPTION
This routine will process (inject) a position event on the lower level object (parent: i.e. X window) for a pixel canvas. This event is processed with all position event consumer routines until one successfully consumes the event.

canvas
    The pixel canvas.

x   The horizontal position of the event, relative to the parent window.

y   The vertical position of the event, relative to the parent window.

clip
    If this is TRUE, events outside of the canvas boundary are clipped to the nearest boundary and passed on to the registered position event consumers. If this is FALSE, events outside of the canvas boundary are not consumed (i.e. they are ignored).

event_code
    The arbitrary event code.

event_info
    The arbitrary event information.

RETURN VALUE
TRUE if the event was consumed, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/